Bug 909674 - Review Request: Ryu - Network operating system and Openflow controller [NEEDINFO]
Review Request: Ryu - Network operating system and Openflow controller
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-10 05:28 EST by ymht.fedora
Modified: 2015-07-21 08:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 05:36:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: needinfo? (ymht.fedora)


Attachments (Terms of Use)

  None (edit)
Description ymht.fedora 2013-02-10 05:28:06 EST
Spec URL: http://people.valinux.co.jp/~yamahata/ryu/fedora/ryu.spec
SRPM URL: http://kojipkgs.fedoraproject.org/work/tasks/5608/4945608/ryu-1.6-1.src.rpm
Description: Ryu is an Operating System for Software Defined Networking
  This is my first package and I'm seeking for sponser.
  I'm one of Ryu development team.
  For what's ryu please visit
  http://www.osrg.net/ryu/
  http://fedoraproject.org/wiki/Features/Ryu
  Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4945608

Fedora Account System Username: yamahata
Comment 1 Eduardo Echeverria 2013-02-11 03:55:24 EST
Hi Isaku:

Is good practice paste the rpmlint output in the reviews
http://fedoraproject.org/wiki/Packaging:Guidelines#Use_rpmlint
and make scratch builds and  paste the link in the review
https://fedoraproject.org/wiki/Using_the_Koji_build_system#Scratch_Builds 


- %clean is not needed
- BuildRoot is not needed
- cleaning of buildroot in %install is not needed
- %defattr is not needed
- The use of %define is deprecated
- The tag license is wrong (in this case should be ASL 2.0)
- The tag vendor not needed in Fedora 
- Don't repeat the name of the package in the summary, it's redundant
- If the package contains conf files in /etc must marked as %config 

take a look at the rpmlint output will give a better explanation to what I'm saying

After fixing these problems, you should take a look at:
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Convincing_someone_to_sponsor_you

Kind Regards
Comment 2 ymht.fedora 2013-02-12 03:18:28 EST
(In reply to comment #1)
Hi, thank you for review. I fixed the issues.

Spec URL: http://people.valinux.co.jp/~yamahata/ryu/fedora/ryu.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/2215/4952215/ryu-1.6-1.src.rpm
koji task URL:http://koji.fedoraproject.org/koji/taskinfo?taskID=4952214
build result URL: http://kojipkgs.fedoraproject.org//work/tasks/2215/4952215/build.log
rpmlint result:
> $ rpmlint --version
> rpmlint version 1.4 Copyright (C) 1999-2007 Frederic Lepied, Mandriva
> $ rpmlint SPECS/ryu.spec SRPMS/ryu-1.6-1.src.rpm RPMS/noarch/ryu-1.6-1.noarch.rpm RPMS/noarch/ryu-doc-1.6-1.noarch.rpm
> 3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Christopher Meng 2013-05-29 11:01:03 EDT
Your spec is invalid.

1)Why did you global many things?

Just put ryu as %{name}, why %global name ryu?

It's weird...

2)%global release 1 is wrong , you should not define this, please write 1%{?dist} to the release tag. Once you update the spec or package, bump the 1 to 2 or even higher.

3)Prefix: %{_prefix} I don't know why you add this?

4)Please take a look at python packaging guidelines,then modify the "python setup.py build" command.

5)Do not use %{buildroot} and $RPM_BUILD_ROOT in one spec, please choose only one of them.

6)Do not %files -f INSTALLED_FILES, please list all files manually
Comment 4 Matthias Runge 2013-05-30 03:41:36 EDT
(In reply to Christopher Meng from comment #3)
> Your spec is invalid.
> 
> 1)Why did you global many things?
> 
> Just put ryu as %{name}, why %global name ryu?
> 
> It's weird...
> 
> 2)%global release 1 is wrong , you should not define this, please write
> 1%{?dist} to the release tag. Once you update the spec or package, bump the
> 1 to 2 or even higher.
> 
> 3)Prefix: %{_prefix} I don't know why you add this?
> 
> 4)Please take a look at python packaging guidelines,then modify the "python
> setup.py build" command.
> 
> 5)Do not use %{buildroot} and $RPM_BUILD_ROOT in one spec, please choose
> only one of them.
> 
> 6)Do not %files -f INSTALLED_FILES, please list all files manually

Christopher, instead of just saying: this is wrong and that is wrong, you should point ymht(???) to the right direction, as Eduardo already did.

ymht: when specifying name: bla, there's no need to %global or %define name any more. The same applies to release, version, etc.

python setup.py ... should be written %{__python} setup.py ...
Comment 5 ymht.fedora 2013-07-08 02:01:51 EDT
(In reply to Matthias Runge from comment #4)
Thank you for review and sorry for delayed reply.
Here is the updated one.
Changes
- remove macro of name, version, unmangled_version, release
- remove Prefix
- $RPM_BUILD_ROOT-> buildroot
- python setup.py => __python setup.py
- don't use INSTALLED_FILES

Spec URL: http://people.valinux.co.jp/~yamahata/ryu/fedora/ryu.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/3430/5583430/ryu-2.1-1.src.rpm
koji task URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5583430
build result URL: http://kojipkgs.fedoraproject.org//work/tasks/3430/5583430/build.log
rpmlint result:
> $ rpmlint --version
> rpmlint version 1.5 Copyright (C) 1999-2007 Frederic Lepied, Mandriva
> $ rpmlint SPECS/ryu.spec SRPMS/ryu-2.1-1.src.rpm RPMS/noarch/ryu-2.1-1.noarch.rpm  RPMS/noarch/ryu-doc-2.1-1.noarch.rpm 
> 3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 6 Christopher Meng 2013-07-26 05:59:05 EDT
I think you should change BuildRequires: python-setuptools-devel
to

BuildRequires: python-setuptools.

And, can you explain this:

# debian dash doesn't support pushd?

Thanks.
Comment 7 Peter Lemenkov 2013-10-18 07:38:40 EDT
Hello!
What's the current status of this ticket?
Comment 8 Christopher Meng 2013-10-20 23:23:54 EDT
(In reply to Peter Lemenkov from comment #7)
> Hello!
> What's the current status of this ticket?

He needs a sponsor...

Note You need to log in before you can comment on or make changes to this bug.